Skip to content
Start here

Add Tenant Custom Nameserver

client.TenantCustomNameservers.New(ctx, tenantTag, body) (*TenantCustomNameserverNewResponse, error)
POST/tenants/{tenant_tag}/custom_ns

Add Tenant Custom Nameserver

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
tenantTag string

Tenant identifier tag.

maxLength32
body TenantCustomNameserverNewParams
NSName param.Field[string]

The FQDN of the name server.

formathostname
NSSet param.Field[float64]Optional

The number of the set that this name server belongs to.

maximum5
minimum1
ReturnsExpand Collapse
type TenantCustomNameserverNewResponse struct{…}

A single tenant custom nameserver.

DNSRecords []TenantCustomNameserverNewResponseDNSRecord

A and AAAA records associated with the nameserver.

Type TenantCustomNameserverNewResponseDNSRecordsTypeOptional

DNS record type.

One of the following:
const TenantCustomNameserverNewResponseDNSRecordsTypeA TenantCustomNameserverNewResponseDNSRecordsType = "A"
const TenantCustomNameserverNewResponseDNSRecordsTypeAAAA TenantCustomNameserverNewResponseDNSRecordsType = "AAAA"
Value stringOptional

DNS record contents (an IPv4 or IPv6 address).

NSName string

The FQDN of the name server.

formathostname
DeprecatedStatus TenantCustomNameserverNewResponseStatus

Verification status of the nameserver.

One of the following:
const TenantCustomNameserverNewResponseStatusMoved TenantCustomNameserverNewResponseStatus = "moved"
const TenantCustomNameserverNewResponseStatusPending TenantCustomNameserverNewResponseStatus = "pending"
const TenantCustomNameserverNewResponseStatusVerified TenantCustomNameserverNewResponseStatus = "verified"
ZoneTag string

Identifier.

maxLength32
NSSet float64Optional

The number of the set that this name server belongs to.

maximum5
minimum1

Add Tenant Custom Nameserver

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/tenant_custom_nameservers"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  tenantCustomNameserver, err := client.TenantCustomNameservers.New(
    context.TODO(),
    "699d98642c564d2e855e9661899b7252",
    tenant_custom_nameservers.TenantCustomNameserverNewParams{
      NSName: cloudflare.F("ns1.example.com"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", tenantCustomNameserver.DNSRecords)
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "dns_records": [
      {
        "type": "A",
        "value": "1.1.1.1"
      }
    ],
    "ns_name": "ns1.example.com",
    "status": "verified",
    "zone_tag": "023e105f4ecef8ad9ca31a8372d0c353",
    "ns_set": 1
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "dns_records": [
      {
        "type": "A",
        "value": "1.1.1.1"
      }
    ],
    "ns_name": "ns1.example.com",
    "status": "verified",
    "zone_tag": "023e105f4ecef8ad9ca31a8372d0c353",
    "ns_set": 1
  }
}